## gimpchannel gimpchannel |

## Functions

gint32 | gimp_channel_new ()
gint32 | gimp_channel_new_from_component ()
gint32 | gimp_channel_copy ()
gboolean | gimp_channel_get_show_masked ()
gboolean | gimp_channel_set_show_masked ()
gdouble | gimp_channel_get_opacity ()
gboolean | gimp_channel_set_opacity ()
gboolean | gimp_channel_get_color ()
gboolean | gimp_channel_set_color ()
gboolean | gimp_channel_combine_masks ()

## Description

## Functions

### gimp_channel_new ()

    gint32
    gimp_channel_new (gint32 image_ID,
                      const gchar *name,
                      guint width,
                      guint height,
                      gdouble opacity,
                      const GimpRGB *color);

### gimp_channel_new_from_component ()

    gint32
    gimp_channel_new_from_component (gint32 image_ID,
                                     GimpChannelType component,
                                     const gchar *name);

Since: GIMP 2.4

### gimp_channel_copy ()

    gint32
    gimp_channel_copy (gint32 channel_ID);

### gimp_channel_get_show_masked ()

    gboolean
    gimp_channel_get_show_masked (gint32 channel_ID);

### gimp_channel_set_show_masked ()

    gboolean
    gimp_channel_set_show_masked (gint32 channel_ID,
                                  gboolean show_masked);

### gimp_channel_get_opacity ()

    gdouble
    gimp_channel_get_opacity (gint32 channel_ID);

### gimp_channel_set_opacity ()

    gboolean
    gimp_channel_set_opacity (gint32 channel_ID,
                              gdouble opacity);

### gimp_channel_get_color ()

    gboolean
    gimp_channel_get_color (gint32 channel_ID,
                            GimpRGB *color);

### gimp_channel_set_color ()

    gboolean
    gimp_channel_set_color (gint32 channel_ID,
                            const GimpRGB *color);

### gimp_channel_combine_masks ()

    gboolean
    gimp_channel_combine_masks (gint32 channel1_ID,
                                gint32 channel2_ID,
                                GimpChannelOps operation,
                                gint offx,
                                gint offy);

## Types and Values